== Changelog ==

= 2.3.3 =
* Better image usage detection for Elementor and BeTheme. To ensure this works properly, please enable the "Deep Search for Image Usage" setting.
* Moved the "Active Authors", "Active Media Authors", and "Active Categories (taxonomy terms)" settings out of Advanced Settings so they are easier to find.
* Moved the "SEO Autopilot: Include Complete Entries When Overwriting" settings for Metadata and Media Attributes out of Advanced Settings so they are easier to find.
* Moved the metadata and media attribute "Prefix / Suffix" settings into Advanced Settings.
* Added keyboard shortcuts for faster confirmations: Press Escape to close the active modal, or Enter to trigger the first primary button in the active modal or current page.

= 2.3.2 =
* Added an advanced setting to filter posts by author
* Added an advanced setting to filter media files by author
* Added an advanced setting to filter by category (taxonomy terms) and a setting to always exclude entries with disabled categories.
* Bug Fixes & Maintenance: Fixed 3 minor bugs and resolved 1 security issue.

= 2.3.1 =
* Bug Fixes & Maintenance: Fixed 6 minor bugs and resolved 3 security issues.

= 2.3.0 =
* Changed branding from "AI for SEO" to "SOOZ - AI for SEO". Visit sooz.ai for more information.
* Enhanced the quality of alt text and image attribute generation by incorporating a broader context from the surrounding content, resulting in more accurate descriptions.
* Performance improvements across multiple areas. The plugin should feel more responsive on large sites.
* Posts and Media lists now show all languages. Entries are labeled and can be filtered by WPML language.
* New advanced setting: Toggle frontend cache purging after metadata updates.
* Added a warning when leaving a page or modal with unsaved changes, on various editors and settings pages.
* Added a feedback modal on plugin deactivation, so users can share why they are leaving.
* Added a new "Remove License" button on the account page.
* Added a new setting "Query IDs Chunk Size": Advanced troubleshooting option to adjust chunk size when processing large amounts of entries. Lower values may reduce database load and fix MySQL-related issues. Higher values can improve performance if your database allows it.
* Bug Fixes & Maintenance: Fixed 21 minor bugs, implemented 9 usability improvements, implemented 14 performance optimizations, and resolved 13 security issues.

= 2.2.5 =
* Added an advanced setting to adjust the Focus Keyphrase behavior during SEO Autopilot when existing metadata is present.
* Bug Fixes & Maintenance: Fixed 4 minor bugs and implemented 2 usability improvements, and resolved 2 security issues.

= 2.2.4 =
* Bug Fixes & Maintenance: Fixed 5 minor bugs and implemented 3 usability improvements.

= 2.2.3 =
* Bug Fixes & Maintenance: Fixed 7 minor bugs and implemented 2 usability improvements.

= 2.2.2 =
* Bug Fixes & Maintenance: Fixed 9 minor bugs, implemented 3 usability improvements, and resolved 2 security issues.

= 2.2.1 =
* Bug Fixes & Maintenance: Fixed 5 minor bugs.

= 2.2.0 =
* Changed how Credits are consumed. Credits are now charged per generated field instead of per entry. Use the “Active Meta Tags” and “Active Media Attributes” settings to control which fields are generated and how many Credits each action requires.
* Added Focus Keyphrase generation, editing, and syncing for Yoast SEO and RankMath.
* Added Meta Keywords generation, editing, and front-end output.
* Added WooCommerce price inclusion modes for AI-generated metadata (Never, Fixed Price, Dynamic Price).
* Added additional “Generate with SOOZ” buttons inside the Gutenberg editor when RankMath is active.
* Added “Generate with SOOZ” buttons for Focus Keyphrase (Yoast SEO) and Focus Keyword (RankMath) inside their editors.
* Added a filter bar to the Posts and Media views including SEO-status filters and a text search.
* Added placeholder support for prefixes and suffixes across all syntaxes ({TITLE}, [TITLE], %%TITLE%% and their placeholder variants).
* Added a setting to include existing values when generating metadata and media attributes (Basic Plan+).
* Added a setting to enable enhanced entity recognition for media attributes (Pro Plan+).
* Added a setting to enable advanced celebrity face recognition for media attributes (Premium Plan+).
* Added configurable meta tag fallback rules to reuse existing values when no generated data is available.
* Added a toggle to control JavaScript-based alt text injection separately from render-level injection.
* Added a troubleshooting toggle to pause database refresh operations during debugging.
* Added the “Active Meta Tags” setting to control which meta tags the plugin should generate.
* Added the “Active Post Types” setting to define which post types the plugin should process.
* Added a reminder and one-click removal option for previously generated SEO-relevant data within the SEO Autopilot modal.
* Added a “Generate Data for X Empty Fields” button in the Metadata and Media Attribute Editors.
* Added a “Save & edit next” button in the Metadata and Media Attribute Editors for faster sequential editing.
* Added a “Retry all failed” quick action to the Dashboard when failed entries are detected.
* Added Credits badges across the plugin UI to indicate the cost of generation actions.
* Added an “SEO-Expert Concierge” card to the Dashboard with direct contact options.
* Submit and Abort buttons are now sticky for easier access during editing.
* Bug Fixes & Maintenance: Fixed 21 minor bugs, implemented 29 usability improvements, implemented 35 stability improvements, and resolved 8 security issues.

= 2.1.6 =
* Added compatibility with WordPress 6.8.3
* Bug Fixes & Maintenance: Fixed 2 minor bugs.

= 2.1.5 =
* Added a new feature to easily retrieve lost license data. Go to your Account page, click "Lost your license data?", and follow the instructions.
* Bug Fixes & Maintenance: Fixed 2 minor bugs and implemented 4 usability improvements.

= 2.1.4 =
* Bug Fixes & Maintenance: Fixed 6 bugs, and 1 security update.

= 2.1.3 =
* Dashboard now refreshes automatically; manual page reload is no longer required.
* Added compatibility with the SEOKey plugin.
* Alt Text Injection is now disabled by default. To re-enable, go to Settings > Show Advanced Settings (top right) > Troubleshooting & Experimental > Alt Text Injection.
* Added a submenu for direct plugin access via the WordPress admin menu.
* Added a "Refresh" button to dashboard statistics. Recommended for large sites (>10,000 entries) to update statistics on demand.
* Added a new FAQ area under Help > Troubleshooting, covering common problems and solutions.
* Bug Fixes & Maintenance: Fixed 11 minor bugs, implemented 13 performance and usability improvements, and resolved 2 security issues.

= 2.1.2 =
* Bug Fixes & Maintenance: Fixed 2 minor bugs, and 2 security updates.

= 2.1.1 =
* Fixed AJAX requests (Thanks Marcus!)
* Bug Fixes & Maintenance: Fixed 9 minor bugs, implemented 6 performance optimizations, and 1 security update.

= 2.1.0 =
* Added "Generate with SOOZ" buttons in the media section of the Gutenberg editor, allowing users to generate media attributes directly from the editor.
* Improved context awareness for pages, posts, and products, especially for content with short text. Ensures AI-generated metadata is more relevant and tailored.
* Added a setting for render-level alt text injection. This checkbox setting (enabled by default) ensures images always have the correct alt text, even if themes or other mechanisms fail to display it.
* Added a setting for render-level image title injection. Includes a select input to choose what should be injected as the title attribute: Disabled, Inject image title, Inject alt text (default), Inject caption, or Inject image description.
* Added a setting to the "SEO Autopilot" modal that allows users to customize the reference time used by the "Generate Metadata for" option. This gives more precise control over how new and old entries are distinguished.
* Added an "Export/Import" button to the plugin settings, enabling users to export their configuration and import it on another website. Useful for SEO and web agencies managing multiple sites.
* Added a "Restore Default" button to the plugin settings.
* Added a "Show/Hide Advanced Settings" toggle in the plugin settings. Some advanced settings are now hidden by default to simplify the interface for most users.
* Made setting descriptions more concise and user-friendly. Rearranged several settings for improved clarity and usability.
* Private or pending posts, pages, and attachments are now ignored by the plugin, preventing them from being processed.
* Improved UX: The SOOZ - AI for SEO sidebar is now sticky on desktop, keeping it visible during page scrolling for easier navigation.
* Changed how plugin notifications are handled. All notifications are now indicated by a red bubble in the admin menu. Detailed notices can be viewed in the SOOZ - AI for SEO dashboard.
* Added new notifications:
  - Insufficient credits balance.
  - Overview of missing entries to generate.
  - WPML plugin detected.
  - SEO Autopilot needing attention.
  - New major plugin updates.
  - Ongoing promos and discounts.
  - And others
* Bug Fixes & Maintenance: Fixed 17 minor bugs, added 6 quality-of-life improvements, implemented 3 performance optimizations, and 2 security updates.

= 2.0.7 =
* Bug Fixes & Maintenance: Fixed 7 minor bugs, added 3 quality of life improvements, and implemented security updates.

= 2.0.6 =
* Bug Fixes & Maintenance: Fixed 3 minor bugs

= 2.0.5 =
* Added a setting to force the image upload to use either the image url only or convert the contents to base64. This can be useful for users who experience issues with the generation of media attributes.
* Added support for AVIF image files
* Bug Fixes & Maintenance: Fixed 11 minor bugs and implemented security updates.

= 2.0.4 =
* Added support for NextGen Gallery: The plugin now recognizes and processes media attributes for images created with the NextGen Gallery plugin. Use the new "Import" button in the media page to import all images from the NextGen Gallery into the *SOOZ - AI for SEO* plugin.
* Bug Fixes & Maintenance: Fixed 2 minor bugs

= 2.0.3 =
* SEO Autopilot now more accurately reflects its current status and includes an option to immediately schedule the next run.
* Bug Fixes & Maintenance: Fixed 15 minor bugs, corrected typos, and implemented security updates.

= 2.0.2 =
* Improved Prefix & Suffix Support: Prefixes and suffixes are now correctly applied when using the "Generate with SOOZ" button in both the Metadata Editor and the Attachment Attributes Editor.
* Enhanced Mobile UX: Better responsiveness and usability on the Pages / Posts and Media Files views for mobile devices.
* Account Page Improvements: Added direct buttons for managing your active subscription and customizing Pay-As-You-Go settings.
* Updated Help Section: Improved help content and clearer "First Steps" guidance for new users.
* Bug Fixes & Maintenance: Fixed 11 minor bugs, corrected typos, and implemented security updates.

= 2.0.1 =
* Fixed a bug that prevented the Media Attributes Editor from generating data correctly.
* Fixed 17 minor bugs, typos and security updates.

= 2.0.0 =
* Complete UI/UX Overhaul: The look, feel, design, layout, and navigation of the plugin have been completely redesigned.
* Enhanced Mobile Experience: Improved usability and user experience for mobile users.
* New "Account" Page: Users can now manage their license key directly from this page.
* Incognito Mode: SEO and web agencies can hide the plugin from other users/admins (available in the new "Account" page).
* White-Label Feature: SEO and web agencies can rebrand the plugin with their own name or further hide it from other users/admins (available in the new "Account" page).
* Customizable Generator Hints: Added a setting to modify or disable generator hints in the source code for additional privacy (available in the "Account" page).
* Privacy & Data Policy Update: Moved to the new "Account" page.
* New Metadata Customization Options: Added settings to apply prefixes and suffixes to metadata and media attributes.
* Advanced Media Attribute Control: New setting allows users to specify which media attributes the plugin should use.
* "SEO Autopilot" Feature: Replaces bulk generation checkboxes with a more intuitive and easy-to-use interface, directly accessible from the dashboard.
* "Recent Activity" Dashboard Section: Track all manual and automatic metadata and media attribute generations in one place.
* Implemented new ways to get credits:
    * Introduced Credit Packs, allowing users to purchase additional credits as needed.
    * Added a Pay-As-You-Go option for automatic credit refills when running low.
    * All credit purchasing options are now combined in a "Get more Credits" modal, accessible from the dashboard.
* "Guarantee" Section: Review our Guarantees and Refund Policy directly on the dashboard.
* "Recent Plugin Updates" Section: Stay informed about the latest updates from the dashboard.
* New "Support & Feedback" Section: Easily access support and provide feedback directly from the dashboard.
* Tons more minor improvements, bug fixes, and performance enhancements.

= 1.2.15 =
* Fixed 2 minor bugs and added additional FAQ entries to assist users with common issues.

= 1.2.14 =
* Added a setting to control whether entries with a complete metadata set are ignored during bulk generation (default) or included, overwriting all of their existing metadata.
* Added a setting to control whether entries with a complete media attribute set are ignored during bulk generation (default) or included, overwriting all of their existing media attributes.
* Added a setting called "Bulk Generation Duration" in Help > Troubleshooting to adjust the runtime of a single bulk generation process. This can be useful in cases where server limitations impact processing.
* Fixed 9 minor bugs and implemented 4 quality-of-life improvements.

= 1.2.13 =
* Added compatibility with ACF (Advanced Custom Fields): Content created using ACF is now fully recognized and processed correctly by the plugin.
* Added a setting to choose which metadata fields to sync with your preferred third-party SEO plugin.

= 1.2.12 =
* Added a troubleshooting section in the help menu to assist users with common issues by resetting various plugin data.

= 1.2.11 =
* Enhanced license username and key management: You can now view your username and license key directly in the plugin dashboard using the "Show License" button.
* Introduced support for linking additional websites to a main account: Enter your username and license key in the "Already purchased?" section to activate the license on other websites.

= 1.2.10 =
* Added a setting to customize the order of bulk generation.
* Introduced a setting to include or exclude new and/or existing entries from bulk generation.
* Fixed 2 minor bugs, added 1 quality of life improvement, and 1 security update.

= 1.2.9 =
* Added compatibility with the WPML multilanguage plugin, enabling improved language recognition for metadata and media attribute generation.
* Enhanced overall usability on mobile devices.
* Fixed 14 minor bugs, added 5 quality of life improvements, and 2 security updates.

= 1.2.8 =
* Added a "Lost your license key?" link to the "Already purchased?" section on the dashboard page.
* Added 3 FAQ entries regarding what to do if you lose your license key, how to handle third party seo plugins.
* Added compatibility with Wordpress 6.7.0+
* Fixed 17 minor bugs, added 5 quality of life improvements, and 2 security updates.

= 1.2.7 =
* Fixed a bug that prevented the plugin from automatically generating metadata / media attributes.
* Fixed 3 minor bugs, and improved performance and security.

= 1.2.6 =
* Updated Terms of Service: Users must review and accept the new ToS to continue using the plugin.
* Extended support for various payment methods, including Alipay, PayPal, Apple Pay, Google Pay, Giropay, iDEAL, SEPA, Direct Debit, WeChat Pay, Cartes Bancaires, MobilePay, Multibanko, BLIK, Bancontact, EPS, Przelewy24, SOFORT, TWINT and Klarna.
* Fixed 21 minor bugs, and improved performance and security.

= 1.2.5 =
* Added a new setting with four meta tag output modes: "Disable 'SOOZ - AI for SEO' Meta Tags," "Force 'SOOZ - AI for SEO' Meta Tags," "Replace Existing Meta Tags," and "Complement Existing Meta Tags." The default mode, "Replace Existing Meta Tags," helps resolve compatibility issues with other plugins and may improve SEO performance by eliminating duplicate meta tags.
* Added support for additional SEO plugins, including Blog2Social.
* Added a "Help" button in the plugin library, providing users with quick access to the FAQ and support resources.
* Fixed 11 minor bugs, and improved performance and security.

= 1.2.4 =
* Added support for additional SEO plugins, including Yoast SEO, Rank Math, SEOPress, All in One SEO, Slim SEO, SEO Simple Pack, Squirrly SEO, and The SEO Framework.
* Introduced a setting to choose whether to sync metadata with your preferred SEO plugin.
* Added an option to enable or disable the overwriting of existing metadata.
* Added an option to enable or disable the overwriting of existing media attributes.
* Resolved six minor bugs and implemented performance improvements and security updates.

= 1.2.3 =
* Added a setting to enable or disable synchronization with the Yoast SEO plugin. Support for more SEO plugins will follow shortly.
* Fixed a bug that prevented settings from being saved correctly.
* Implemented three minor bug fixes, along with performance improvements and security updates.

= 1.2.2 =
* All users now receive 5 free credits daily, allowing continued use of the basic features at no cost.
* Overhauled pricing and credit rewards: Basic plan now includes 500 credits (up from 200). Pro plan now includes 1,500 credits (up from 600). Premium plan now includes 5,000 credits (up from 3,000).
* Added a "Getting Started" guide to the Help section, providing a step-by-step tutorial on how to use the plugin.
* Implemented seven minor bug fixes, along with performance improvements and security updates.

= 1.2.1 =
* Introduced a new "Help" section that includes a comprehensive FAQ and useful links to assist users in getting started with the plugin.
* Added "Select All / Unselect All" buttons to the settings page to enhance the user experience.
* Fixed a bug that occasionally caused statistics to display outdated or incorrect data.
* Added a "Metadata Editor" button to the top admin bar for smaller screens, making it easier to access the metadata editor.
* Implemented better error logging to help users troubleshoot issues more effectively.
* Implemented 6 minor bug fixes, along with performance improvements and security updates.

= 1.2.0 =
* Image Metadata Generation: Added support for generating alt text, titles, captions, and descriptions for all images on your website. You can use the bulk or manual generation options available. Simply click the 'Generate with SOOZ' button in the media library or explore the new 'Media' page within the 'SOOZ - AI for SEO' plugin.
* New 'Settings' Page: We have introduced a 'Settings' page with various options to enhance your experience (details below).
** Meta Tag Inclusion: This option allows you to include or exclude specific meta tags from being output in the header by our plugin. Note that this setting does not affect meta tags generated by other plugins. For instance, if you prefer the meta titles generated by another plugin, you may choose to exclude them here.
** Language Selection: Allows you to override the AI’s language detection, which is helpful if your content is in a language different from what the AI has detected.
** User Management: Controls which user roles can access and use the plugin. By default, only administrators have access.
** Improved Metadata Editor: We have overhauled the metadata editor’s design to enhance usability and provide a better user experience.
* General Enhancements: Implemented 12 minor bug fixes, performance improvements, and security updates.

= 1.1.8 =
* Added support for all types of content types, including RSS feeds, portfolios, and compatibility with nearly every shop system, such as AliDropship, Shopify, Magento, and more.
* Implemented 3 minor bug fixes

= 1.1.7 =
* Improved context window for AI-generated metadata
* Improved some typos and translations in the plugin
* Implemented 4 minor bug fixes and performance improvements

= 1.1.6 =
* We made the plugin WordPress version 6.6 ready
* Implemented 2 minor bug fixes

= 1.1.5 =
* Important: The 'SOOZ - AI for SEO' dashboard is now accessible via 'SOOZ - AI for SEO' in the main menu of your WordPress backend.
* Added a 'Bulk Retry' button to the Pages, Posts, and Products pages, allowing users to retry all failed metadata generations with a single click.
* Added several 'Refresh Page' buttons to the Pages, Posts, and Products pages, enabling users to refresh the metadata overview without reloading the page.
* Added a mouseover effect on several buttons throughout the plugin, providing users with more information about each button's functionality.
* Redefined and unified the appearance of several buttons and icons in the plugin, enhancing the user interface and overall user experience.
* Fixed several mobile display issues to improve responsive-layout-usability.
* Implemented 6 minor bug fixes, performance improvements, and security updates.

= 1.1.4 =
* We now offer a 100% risk-free money-back guarantee for the first 14 days after purchasing a plan (Basic, Pro or Premium). If 'SOOZ - AI for SEO' isn’t the best fit, simply reach out at support@sooz.ai and we’ll refund 100% of your money. No questions asked.
* 7 Bug fixes and performance improvements.

= 1.1.3 =
* Reduced the cost of generating SEO metadata for larger content: The cost will always be 5 credits per page / post / product, regardless of the word count.
* Metadata generation speed greatly improved for pages, posts, and products: from 5 per minute to 10 per minute.
* 3 Bug fixes and performance improvements.

= 1.1.2 =
* You can now carry over any unused credits to the next month, allowing you to make the most of your credits beyond the current month.
* Significantly improved the processing speed of automatic metadata generation for pages and posts.
* Improved metadata generation for short content.
* 5 Bug fixes and performance improvements.

= 1.1.1 =
* 2 Bug fixes and performance improvements.

= 1.1 =
* SEO data generation for WooCommerce products is now available. This feature is visible only if the WooCommerce plugin is installed, integrating SEO capabilities directly with your e-commerce activities.
* Introduced statistics in the dashboard page, providing users with insights into their progress in generating SEO metadata for pages, posts, products, and more. This feature aims to help users track their SEO optimization efforts more effectively.
* Added admin notices to alert users when their credits are running low or to remind them of the remaining credits and opportunities to generate SEO data for pages, posts, and products.
* Added a button to reestablish the license connection in the dashboard page, making it easier for users to reconnect their license if it has been disconnected. For example in case of uninstalling and reinstalling the plugin.
* All plugin texts are now translatable, making it easier for international users to optimize their SEO efforts.
* Refined some visual aspects of the dashboard page, improving the user interface and overall user experience.
* 11 Bug fixes and performance improvements.

= 1.0.1 =
* Bug fixes

= 1.0 =
* Initial release

